**`Aleksander Aleksiev`[NAME]** -NL- **`Work experience`[WORK_EXPERIENCE_HEADING]** -NL- • Dates (from – to) -NL- • Name and address of -NL- employer -NL- • Type of business or sector -NL- • Occupation or position held -NL- • Dates (from – to) -NL- • Name and address of -NL- employer -NL- • Type of business or sector -NL- • Occupation or position held -NL- • Dates (from – to) -NL- • Name and address of -NL- employer -NL- • Type of business or sector -NL- • Occupation or position held -NL- • Dates (from – to) -NL- • Name and address of -NL- employer -NL- • Type of business or sector -NL- • Occupation or position held -NL- • Dates (from – to) -NL- • Name and address of employer -NL- • Type of business or sector -NL- • Occupation or position held -NL- • Dates (from – to) -NL- • Name and address of employer -NL- • Type of business or sector -NL- • Occupation or position held -NL- • Dates (from – to) -NL- • Name and address of employer -NL- • Type of business or sector -NL- • Occupation or position held -NL- • Dates (from – to) -NL- • Name and address of -NL- employer -NL- • Type of business or sector -NL- • Occupation or position held -NL- 04.03.2019 - Present -NL- **`TUI Group`[EMPLOYER_COMPANY_NAME]** -NL- **`IT Technologies`[EDUCATION_COURSE]** -NL- **`Senior Android Developer`[EMPLOYER_ROLE]** -NL- I’m part of the TUI Android team. We develop and maintain TUI -NL- android app. We use technologies like Kotlin, Java, RxJava, -NL- Dagger2, Room db, Android Arch Components, Retrofit. -NL- 01.08.2018 – 28.02.2019 -NL- **`Royal Mail Group`[EMPLOYER_COMPANY_NAME]** -NL- **`IT Technologies`[EDUCATION_COURSE]** -NL- **`Senior Android Developer`[EMPLOYER_ROLE]** -NL- I was part of the PDA platform team. We developed and -NL- maintained apps that are used internally on mobile devices carried -NL- by postmen and postwomen. I worked on two greenfield projects. -NL- The DL app was developed to help RMG managers to validate the -NL- driving licence of the RMG drivers. The second project was -NL- developed to help stuff in RMG delivery office with mapping parcel -NL- location on the shelves in the office. We used technologies like -NL- Java, RxJava, Dagger2, Kotlin, Room db, Retrofit. -NL- 01.10.2016 – 31.07.2018 -NL- **`Get Printastic Ltd.`[EMPLOYER_COMPANY_NAME]** -NL- **`IT Technologies`[EDUCATION_COURSE]** -NL- **`Senior Developer`[EMPLOYER_ROLE]** -NL- I was part of Android team where we develop Printastic Android -NL- app. We use technologies like Java, RxJava, greenDao, Dagger2, -NL- Kotlin. -NL- 01.05.2014 -30.09.2016 -NL- **`23 Snaps Ltd.`[EMPLOYER_COMPANY_NAME]** -NL- **`IT Technologies`[EDUCATION_COURSE]** -NL- **`Senior Developer`[EMPLOYER_ROLE]** -NL- I developed 23Snaps app on Android and Windows. -NL- Technologies used Java, Rx, Dagger2, C#, XAML , WinRT. -NL- 04.02.2013 – 30.04.2014 -NL- **`Barclays Investment Bank`[EMPLOYER_COMPANY_NAME]** -NL- **`IT Technologies`[EDUCATION_COURSE]** -NL- **`Assistant Vice President`[EMPLOYER_ROLE]** -NL- I was part of SDS team an I participated in different team projects -NL- and quarterly releases. -NL- Technologies used .NET 3.5 / 4.0, C#, ASP.NET, WCF, SQL Server -NL- 2008, VS2010 -NL- 18.05.2011 – 31.01.2013 -NL- **`Evori Ltd`[EMPLOYER_COMPANY_NAME]**, London UK -NL- **`IT Technologies`[EDUCATION_COURSE]** -NL- **`Software Engineer`[EMPLOYER_ROLE]** -NL- I joined the company at its start and I've developed WPF and -NL- ASP.NET applications. I had a lead role in the overall programing -NL- and I was responsible for development, testing and deployment. -NL- Technologies used .NET 4/4.5, C#, WPF, APS.NET, LINQ, Entity -NL- Framework, TPL, PLINQ, SQL Server 2008/2012, VS2010/2012. -NL- 04.10.2010 – 15.04.2011 -NL- **`TravelSoft Ltd`[EMPLOYER_COMPANY_NAME]**, Varna, Bulgaria -NL- **`IT Technologies`[EDUCATION_COURSE]** -NL- **`Software Engineer`[EMPLOYER_ROLE]** -NL- I developed the backend of online reservation system. -NL- Technologies used .NET, C#, WCF, LINQ, Entity Framework, TPL, -NL- PLINQ, MySql. -NL- 04.03.2003 – 30.09.2010 -NL- **`CSoft`[EMPLOYER_COMPANY_NAME]** Ltd (www.csoft.bg), 10 Lyuben Karavelov 9000, Varna, -NL- Bulgaria -NL- **`IT Technologies`[EDUCATION_COURSE]** - bank information systems -NL- **`Software Engineer`[EMPLOYER_ROLE]** -NL- I worked on many projects in which I used Visual C++, C#, SQL, -NL- XML, Altova XmlSpy, Crystal Reports, ATL Services, Open SSL, -NL- Multithreading. -NL- From April 2003 to September 2003 I was a part of team that had to -NL- migrate data from old database of the EFG Bank Bulgaria to new -NL- one SQL Server database. We had to rewrite the data access -NL- module of the **`CSoft`[EMPLOYER_COMPANY_NAME]** bank system to be able to use SQL database. -NL- From November 2003 to May 2004 I developed “Currency -NL- Payments” for EFG Bank Bulgaria. I developed UI part, accounting -NL- part and messaging part of this project. With this project EFG Bank -NL- is able automatically to process SWIFT messages. I worked with VS -NL- 2003, Visual C++, MFC, SQL Server 2000. -NL- From June 2004 to July 2005, I was part of a team that developed -NL- Investment Platform module for EFG Bank Bulgaria. In this project I -NL- worked with VS 2003, Visual C++, MFC, SQL Server 2000 and I -NL- used OLE Automation to process xls files with trading data from -NL- Bulgarian Stock Exchange. -NL- From September 2005 to May 2006, I was involved in developing -NL- BISERA 6 payments for EFG Bank Bulgaria, Corporate Commercial -NL- Bank Bulgaria and Municipal Bank Bulgaria. I worked with Visual -NL- C++, MFC, SQL. In this project the main challenge was that had to -NL- generate large text files, SWIFT message format, with all bank -NL- payments in BGN through the working day. -NL- In 2007 I was a part of team that had to merge data from one bank -NL- to another. In this project I wrote lot of fast SQL queries that read -NL- data from one SQL Db and write this data to another. -NL- In 2008 I developed a windows service for online communication -NL- between EFG Bulgaria and Central Depository AD. In this project I -NL- worked with Visual C++ and Open SSL to establish a secure -NL- channel. This was a multithreaded service. I used threads for -NL- reading and writing data from the bank server, and other threads for -NL- sending and receiving data from the system of Central Depository. -NL- From April 2009 to June 2009 I developed a WCF service for online -NL- communication between EFG Bulgaria (http://www.postbank.bg/) -NL- and SEP Bulgaria (http://www.sepbulgaria.com). In this project I -NL- used C#, XML, -NL- Altova XmlSpy, ATL Services. I developed a WCF service that send -NL- and receive XML data from and to "SEP" online system. There was -NL- and one ATL windows service that is used to establish connection -NL- between bank system written in C++ and WCF .NET service. All -NL- data that is send through this two services is in XML format, and -NL- here I used Altova XmlSpy for generating C++ classes from XML -NL- schema. -NL- From October 2009 to February 2010, I led a team, which -NL- developed SEPA payments for EFG Bank Bulgaria, Corporate -NL- Commercial Bank Bulgaria and Municipal Bank Bulgaria. Worked -NL- with Visual C++, MFC, SQL, XML, Altova XmlSpy. -NL- **`Education and training`[EDUCATION_HEADING]** -NL- • Dates (from – to) -NL- • Name and type of organization -NL- providing education and training -NL- • Dates (from – to) -NL- • Name and type of organization -NL- providing education and training -NL- • Principal subjects/occupational -NL- skills covered -NL- • Title of qualification awarded -NL- Mother tongue -NL- **`Other languages`[OTHERS_HEADING]** -NL- • Reading skills -NL- • Writing skills -NL- • Verbal skills -NL- In this project main challenge was that had to generate large XML -NL- files with all bank payments through the working day. We’ve -NL- developed a small multithreaded system that was reading data from -NL- SQL database and to generate XML files. Also we’ve developed -NL- new user interface for these kind of payments. -NL- 1992 – 1997 -NL- **`High School of Mathematics`[EDUCATION_DEGREE]** -NL- 1999 - 2003 -NL- **`University Of Economics`[EDUCATION_INSTITUTE]** -NL- **`IT Technologies`[EDUCATION_COURSE]** -NL- **`Bachelor`[EDUCATION_DEGREE]** -NL- BULGARIAN -NL- English -NL- Good -NL- Good -NL- Good -NL- 